---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      control-plane.alpha.kubernetes.io/leader: '{"holderIdentity":"ip-10-0-6-61_132a9cd4-5af4-44a3-903f-d5e69d077334","leaseDurationSeconds":15,"acquireTime":"2020-05-26T14:19:21Z","renewTime":"2020-05-26T14:21:45Z","leaderTransitions":1}'
    creationTimestamp: "2020-05-26T14:10:32Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:control-plane.alpha.kubernetes.io/leader: {}
      manager: kube-scheduler
      operation: Update
      time: "2020-05-26T14:21:45Z"
    name: kube-scheduler
    namespace: kube-system
    resourceVersion: "8765"
    selfLink: /api/v1/namespaces/kube-system/endpoints/kube-scheduler
    uid: c395097a-d40a-404a-83b3-81cf1b9a0e26
- apiVersion: v1
  kind: Endpoints
  metadata:
    creationTimestamp: "2020-05-26T14:24:16Z"
    labels:
      k8s-app: kubelet
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:k8s-app: {}
        f:subsets: {}
      manager: operator
      operation: Update
      time: "2020-05-26T16:33:16Z"
    name: kubelet
    namespace: kube-system
    resourceVersion: "53701"
    selfLink: /api/v1/namespaces/kube-system/endpoints/kubelet
    uid: eb6b28fe-8fbd-4afe-b4ab-cca1befb1e69
  subsets:
  - addresses:
    - ip: 10.0.134.165
      targetRef:
        kind: Node
        name: ip-10-0-134-165.ec2.internal
        uid: 7fa357f2-5eb7-4029-bc82-b01d8b58c668
    - ip: 10.0.135.53
      targetRef:
        kind: Node
        name: ip-10-0-135-53.ec2.internal
        uid: ed301234-169d-4c99-8be3-6ae83a02548d
    - ip: 10.0.147.37
      targetRef:
        kind: Node
        name: ip-10-0-147-37.ec2.internal
        uid: 22413775-1eef-4705-9394-59c1262b1f68
    - ip: 10.0.155.43
      targetRef:
        kind: Node
        name: ip-10-0-155-43.ec2.internal
        uid: d18a1e19-b6f6-49fc-8dc8-5cb887316928
    - ip: 10.0.162.213
      targetRef:
        kind: Node
        name: ip-10-0-162-213.ec2.internal
        uid: 5a4dcccc-bc73-48fe-9902-20b2eae3a231
    - ip: 10.0.164.74
      targetRef:
        kind: Node
        name: ip-10-0-164-74.ec2.internal
        uid: 8494d4b6-53ac-4d0d-b582-05dba21587ec
    ports:
    - name: cadvisor
      port: 4194
      protocol: TCP
    - name: http-metrics
      port: 10255
      protocol: TCP
    - name: https-metrics
      port: 10250
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "54384"
  selfLink: /api/v1/namespaces/kube-system/endpoints
